.sr{
    .side-right{
        transform: translateX(100%);
        transition: ease-in-out 0.2s;
        .control-sidebar{
            svg{
                transform: rotate3d(0, 1, 0, 180deg);
            }
        }
    }
    .main{
        padding-right: 0;
        transition: ease-in-out 0.2s;
    }
}
.side-right{
    position: fixed;
    top: 50px;
    right: 0;
    bottom: 0;
    width: 275px;
    background: linear-gradient(0deg, #222222, #222222), #FFFFFF;
    box-shadow: -1px 0px 0px rgba(17, 17, 17, 0.7);
    display: flex;
    align-content: space-between;
    flex-wrap: wrap;
    transform: translateX(0);
    transition: ease-out 0.23s;
    z-index: 2;
    .content-side{
        padding: 12px 25px;
        width: 100%;
        .title-frame{
            font-family: Roboto;
            font-style: normal;
            font-weight: normal;
            font-size: 12px;
            line-height: 14px;
            color: #FFFFFF;
            margin-bottom: 12px;
        }
        .list-frame{
            display: flex;
            flex-wrap: wrap;
            margin-right: -7.5px;
            margin-left: -7.5px;
            overflow-y: auto;
            overflow-x: hidden;
            max-height: calc( 100vh - 230px);
            &::-webkit-scrollbar {
                width: 4px;
            }
               
            &::-webkit-scrollbar-track {
                
            }
            
            &::-webkit-scrollbar-thumb {
                background: #333333;
                border-radius: 2px;
            }
            .frame-item{
                position: relative;
                width: 100%;
                padding: 7.5px;
                flex: 0 0 50%;
                max-width: 50%;
                img{
                    max-width: 100%;
                }
                .frame-item__content{
                    width: 105px;
                    height: 105px;
                    background-repeat: no-repeat;
                    background-size: 100% 100% !important;
                    cursor: pointer;
                    border: solid 2px transparent;
                    border-radius: 5px;
                }
                
                .frame1{
                    background: url('../../assets/images/frame/frame1.png');
                }
                .frame2{
                    background: url('../../assets/images/frame/frame2.png');
                }
                .frame3{
                    background: url('../../assets/images/frame/frame3.png');
                }
                .frame4{
                    background: url('../../assets/images/frame/frame4.png');
                }
                .frame5{
                    background: url('../../assets/images/frame/frame5.png');
                }
                .frame6{
                    background: url('../../assets/images/frame/frame6.png');
                }
                .frame7{
                    background: url('../../assets/images/frame/frame7.png');
                }
                .frame8{
                    background: url('../../assets/images/frame/frame8.png');
                }
                .frame9{
                    background: url('../../assets/images/frame/frame9.png');
                }
                .frame10{
                    background: url('../../assets/images/frame/frame10.png');
                }
                .frame11{
                    background: url('../../assets/images/frame/frame11.png');
                }
                .frame12{
                    background: url('../../assets/images/frame/frame12.png');
                }
                .frame13{
                    background: url('../../assets/images/frame/frame13.png');
                }
                .frame14{
                    background: url('../../assets/images/frame/frame14.png');
                }
                .frame15{
                    background: url('../../assets/images/frame/frame15.png');
                }
                .frame16{
                    background: url('../../assets/images/frame/frame16.png');
                }
                .frame17{
                    background: url('../../assets/images/frame/frame17.png');
                }
                .frame18{
                    background: url('../../assets/images/frame/frame18.png');
                }
                .frame19{
                    background: url('../../assets/images/frame/frame19.png');
                }
                .frame20{
                    background: url('../../assets/images/frame/frame20.png');
                }
                .frame21{
                    background: url('../../assets/images/frame/frame21.png');
                }
                .frame22{
                    background: url('../../assets/images/frame/frame22.png');
                }
                .frame23{
                    background: url('../../assets/images/frame/frame23.png');
                }
                .frame24{
                    background: url('../../assets/images/frame/frame24.png');
                }
                .frame25{
                    background: url('../../assets/images/frame/frame25.png');
                }
                .frame26{
                    background: url('../../assets/images/frame/frame26.png');
                }
                .frame27{
                    background: url('../../assets/images/frame/frame27.png');
                }
                .frame28{
                    background: url('../../assets/images/frame/frame28.png');
                }
                .frame29{
                    background: url('../../assets/images/frame/frame29.png');
                }
                .frame30{
                    background: url('../../assets/images/frame/frame30.png');
                }
                .frame31{
                    background: url('../../assets/images/frame/frame31.png');
                }
                .frame32{
                    background: url('../../assets/images/frame/frame32.png');
                }
                .frame33{
                    background: url('../../assets/images/frame/frame33.png');
                }
                .frame34{
                    background: url('../../assets/images/frame/frame34.png');
                }
                .frame35{
                    background: url('../../assets/images/frame/frame35.png');
                }
                .frame36{
                    background: url('../../assets/images/frame/frame36.png');
                }
                .frame37{
                    background: url('../../assets/images/frame/frame37.png');
                }
                .frame38{
                    background: url('../../assets/images/frame/frame38.png');
                }
                .frame39{
                    background: url('../../assets/images/frame/frame39.png');
                }
                
            }
            .active{
                .frame-item__content{
                    border-color: #F5A623;
                }
            }
        }
    }
    .control-sidebar{
        cursor: pointer;
        position: absolute;
        top: 50%;
        left: 0;
        transform: translate(-107%, -50%);
        padding: 23px 6px;
        display: flex;
        align-items: center;
        justify-content: center;
        // background: url('../../assets/icon/bg-btn.png') no-repeat;
        background: #444444;
        box-shadow: -2px 0px 4px rgba(0, 0, 0, 0.1);
        border: none;
        outline: none;
        clip-path: polygon(0 10%, 100% 0%, 100% 100%, 0 90%);
        svg{
            path{
                transition: all 0.23s;
            }
        }
        &:hover{
            svg{
                path{
                    stroke: white;
                    transition: all 0.23s;
                }
            }
        }
    }
    .control-side{
        width: 100%;
        padding: 13px 25px;
        position: relative;
        &::before{
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            height: 1px;
            background: #111111;
            box-shadow: 0px 1px 0px rgba(196, 196, 196, 0.03);
        }
        .control-item{
            margin-bottom: 8px;
            h5{
                font-family: Roboto;
                font-style: normal;
                font-weight: normal;
                font-size: 13px;
                line-height: 15px;
                color: #999999;
                margin: 0;
                margin-bottom: 9px;
            }
            .d-flex{
                display: flex;
                align-items: center;
                justify-content: space-between;
                span{
                    font-family: Roboto;
                    font-style: normal;
                    font-weight: normal;
                    font-size: 13px;
                    line-height: 15px;
                    text-align: right;
                    color: #C4C4C4;
                    min-width: 45px;
                }
                
            }
        }
    }
}